## ECA Recipe: Working with dates and time

ID: eca_lib_0031

This model works with a date and time value from a node field and does various things to it: outputting in different formats, adding some time range, changing timezone, etc.

Especially the timezone feature requires a [patch to the tamper module](https://www.drupal.org/project/tamper/issues/3268276#comment-15000895).

The creation of this module was recorded and the video with additional explanations can be [watched here](https://tube.tchncs.de/w/h8YzBS8cSVdNux1FUcYkhm).

### Installation

```shell
composer require drupal-eca-recipe/eca_lib_0031
cd web && php core/scripts/drupal recipe ../vendor/drupal-eca-recipe/eca_lib_0031
```